"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createAssistCommand = (deps) => {
    let { formatter, linter, compiler, nyc, server, watcher } = deps;
    return {
        execute: (options) => {
            watcher.watchSourceFileChanged();
            if (options.statusServerPort) {
                server.start(options.statusServerPort);
            }
            formatter.startVerifying(['source-files-changed']);
            linter.start('format-verified');
            nyc.start(['source-files-changed']);
            compiler.start();
        }
    };
};
//# sourceMappingURL=assist.js.map