"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const fs = require("fs");
const glob = require("glob");
let deleteFolderRecursive = (path) => {
    if (fs.existsSync(path)) {
        fs.readdirSync(path).forEach((file, index) => {
            let curPath = `${path}/${file}`;
            if (fs.lstatSync(curPath).isDirectory()) { // recurse
                deleteFolderRecursive(curPath);
            }
            else { // delete file
                fs.unlinkSync(curPath);
            }
        });
        fs.rmdirSync(path);
    }
};
exports.createCleanCommand = () => {
    return {
        execute: () => {
            deleteFolderRecursive('./build');
            deleteFolderRecursive('./dest');
            let rogueFiles = glob.sync('{src,test}/**/*.js{,.map}', {});
            rogueFiles.forEach((file) => fs.unlinkSync(file));
        }
    };
};
//# sourceMappingURL=clean.js.map