"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const helpers_1 = require("../helpers");
exports.createPostCheckoutCommand = (deps) => {
    let { logger } = deps;
    return {
        execute: () => {
            try {
                logger.log('hooks', 'postcheckout git hook running');
                let gitParams = process.env.HUSKY_GIT_PARAMS;
                if (!gitParams) {
                    throw new Error('Expected HUSKY_GIT_PARAMS to be set by husky');
                }
                let [previousHead] = gitParams.split(' ');
                if (previousHead === '%1') {
                    previousHead = 'ORIG_HEAD';
                }
                if (helpers_1.packageJsonChanged(previousHead, 'HEAD')) {
                    logger.log('hooks', 'Running npm install...');
                    helpers_1.npmInstall();
                }
                else {
                    logger.log('hooks', 'No need to run npm install');
                }
            }
            catch (error) {
                logger.error('hooks', `post-checkout hook failed, continuing anyway ${error.message}`);
            }
        }
    };
};
//# sourceMappingURL=post-checkout.js.map