"use strict";
// post-checkout and post-merge are used to run 'npm install' if needed
Object.defineProperty(exports, "__esModule", { value: true });
const helpers_1 = require("../helpers");
/* tslint:disable:no-console */
exports.createPostMergeCommand = (deps) => {
    let { logger } = deps;
    return {
        execute: () => {
            logger.log('hooks', 'postmerge git hook running');
            try {
                if (helpers_1.packageJsonChanged('ORIG_HEAD', 'HEAD')) {
                    logger.log('hooks', 'Running npm install...');
                    helpers_1.npmInstall();
                }
                else {
                    logger.log('hooks', 'No need to run npm install');
                }
            }
            catch (error) {
                logger.error('hooks', `post-merge hook failed, continuing anyway ${error.message}`);
            }
        }
    };
};
//# sourceMappingURL=post-merge.js.map