"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/* tslint:disable:no-console */
exports.createConsoleLogger = () => {
    let currentCategory;
    let setCategory = (category) => {
        if (category !== currentCategory) {
            console.log(`${category}:`);
            currentCategory = category;
        }
    };
    return {
        log: (category, message) => {
            setCategory(category);
            console.log(`  ${message}`);
        },
        error: (category, message) => {
            setCategory(category);
            console.error(`! ${message}`);
        }
    };
};
/* tslint:enable:no-console */
//# sourceMappingURL=logger.js.map